# List all charges for a payment intent

List all charges associated with a payment intent.

Endpoint: GET /payments/br/payment-intents/{payment_intent_id}/charges/
Version: 1.223.0
Security: basicAuth

## Path parameters:

  - `payment_intent_id` (string, required)
    The payment-intent.id the charges belong to.
    Example: "a3b92311-1888-449f-acaa-49ae28d68fcd"

## Query parameters:

  - `page` (integer)
    A page number within the paginated result set.
    Example: 1

  - `page_size` (integer)
    Indicates how many results to return per page. By default we return 100 results per page.

ℹ️ The minimum number of results returned per page is 1 and the maximum is 1000. If you enter a value greater than 1000, our API will default to the maximum value (1000).
    Example: 100

  - `status` (string)
    Return results only for this value.
    Example: "SUCCEEDED"

  - `status__in` (string)
    Return results for listed status.
    Example: "PENDING,SUCCEEDED"

## Response 200 fields (application/json):

  - `count` (integer)
    The total number of results in your Belvo account.
    Example: 130

  - `next` (string,null)
    The URL to next page of results. Each page consists of up to 100 items. If there are not enough results for an additional page, the value is null.

In our documentation example, we use {endpoint} as a placeholder value. In production, this value will be replaced by the actual endpoint you are currently using (for example, accounts or owners).
    Example: "https://sandbox.belvo.com/api/{endpoint}/?link=1bd948f7-245d-4313-b604-34d1044cb908page=2"

  - `previous` (string,null)
    The URL to the previous page of results. If there is no previous page, the
value is null.

  - `results` (array)
    Array of charge objects.

  - `results.id` (string, required)
    Belvo's unique identifier for the current item.
    Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d"

  - `results.created_at` (string, required)
    The ISO-8601 timestamp of when the data point was created in Belvo's database.
    Example: "2022-02-09T08:45:50.406032Z"

  - `results.updated_at` (string,null, required)
    The ISO-8601 timestamp of when the status of the charge was last updated.
    Example: "2022-02-09T08:45:50.406032Z"

  - `results.created_by` (string)
    The unique ID for the user that created this item.
    Example: "bcef7f35-67f2-4b19-b009-cb38795faf09"

  - `results.customer` (string)
    Belvo's unique ID for the customer that the charge was created for.
    Example: "531aa631-70a0-4eeb-ab97-51dea3e90c89"

  - `results.payment_intent` (string)
    The payment_intent.id associated with this charge.
    Example: "50c04229-7b1d-4a53-951c-8ad53e10c6ca"

  - `results.status` (string, required)
    The current status of the charge. Can be one of the following values:

  - CANCELED
  - PENDING
  - SCHEDULED
  - SUCCEEDED
  - FAILED
  - PARTIAL
    Enum: "CANCELED", "PENDING", "SCHEDULED", "SUCCEEDED", "FAILED", "PARTIAL"

  - `results.amount` (string,null, required)
    The amount of the charge.
    Example: "100.12"

  - `results.currency` (string)
    The currency of the amount paid. For 🇧🇷 Brazil, the value must be BRL (Brazilian Real).
    Enum: "BRL"

  - `results.description` (string)
    The description of the payment.
    Example: "Training shoes"

  - `results.statement_description` (string)
    The description that will appear on the customer's bank statement (if provided).
    Example: "Super Shoe Store - Brown Sneakers"

  - `results.beneficiary` (string, required)
    Belvo's unique ID used to identify the beneficiary’s bank account.
    Example: "58524ccc-89ac-4ab6-b62b-c3da3f19a722"

  - `results.payment_method_type` (string)
    Selected payment method type. For 🇧🇷 Brazil's OFPI, the value must be open_finance.
    Enum: "open_finance"

  - `results.payment_method_details` (object, required)
    Details about the payment method.

  - `results.payment_method_details.open_finance` (object)
    Information about the payer of a OFPI payment.

  - `results.payment_method_details.open_finance.schedule` (object,null) — one of:
    Details regarding the scheduled payment (optional). For more information on how to schedule payments, please see our dedicated OFPI Scheduled Payments guide.
    - Single:
      - `single` (object,null)
        Details regarding the scheduled (one-off) payment.
      - `single.date` (string)
        The date the one-off scheduled payment should be made, in YYYY-MM-DD format.
        Example: "2024-10-22"
    - Daily:
      - `daily` (object)
        Details regarding the daily recurring payment.
      - `daily.start_date` (string)
        The date the recurring daily payment should start on, in YYYY-MM-DD format.

>Note: The start_date must be at least 1 day in the future.
        Example: "2024-10-22"
      - `daily.occurrences` (integer)
        The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
        Example: 10
    - Weekly:
      - `weekly` (object)
        Details regarding the weekly recurring payment.
      - `weekly.start_date` (string)
        The date the recurring weekly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_week specified and be at least 1 day in the future.
        Example: "2024-10-22"
      - `weekly.day_of_week` (string)
        The day of the week the payment should be made. Can be one of the following values:

  - MONDAY
  - TUESDAY
  - WEDNESDAY
  - THURSDAY
  - FRIDAY
  - SATURDAY
  - SUNDAY
        Enum: "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY"
      - `weekly.occurrences` (integer)
        The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
        Example: 10
    - Monthly:
      - `monthly` (object)
        Details regarding the monthly recurring payment.
      - `monthly.start_date` (string)
        The date the recurring monthly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_month specified and be at least 1 day in the future.
        Example: "2024-10-26"
      - `monthly.day_of_month` (integer)
        The day of the month the payment should be made. Can be any integer between 1 and 31.
        Example: 26
      - `monthly.occurrences` (integer)
        The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 24.
        Example: 12
    - Custom:
      - `custom` (object)
        Details regarding the custom recurring payment.
      - `custom.dates` (array)
        The unique dates the recurring payment should be made, in YYYY-MM-DD format.

>Note: The dates must be at least 1 day in the future and no more than 720 days in the future.
        Example: ["2024-10-22","2024-10-26"]
      - `custom.description` (string)
        A description of the custom recurring payment that will display to your user when they are redirected to their bank to accept the payment.

> Note: We highly recommend that this message be in Brazilian Portuguese, and that it clearly explains the purpose as well as recurring nature of the payment.
        Example: "Os pagamentos ocorrerão a cada três dias até a data final (30.09.2024)"

  - `results.payment_method_details.open_finance.payer_institution` (string)
    Unique identifier for the payer's institution.
    Example: "db201c6a-e0ee-4caa-92d6-72b480d6d86f"

  - `results.payment_method_details.open_finance.beneficiary_bank_account` (string)
    Belvo's unique ID used to identify the beneficiary's bank account.
    Example: "a80d5a9d-20ae-479a-8dd7-ff3443bcbbfc"

  - `results.payment_method_information` (object, required)
    Information about the payment method selected.

  - `results.payment_method_information.open_finance` (object)
    Payment method type selected.

  - `results.payment_method_information.open_finance.provider_request_id` (string,null)
    Unique ID for the payment, as sent by the provider.
    Example: "978c0c97ea847e78e8849634473c1f1"

  - `results.payment_method_information.open_finance.redirect_url` (string,null)
    The URL that redirects the user to their institution's website to authorize the payment.
    Example: "https://wakandanational.com/"

  - `results.payment_method_information.open_finance.end_to_end_id` (string,null)
    A unique ID for the transaction in the Brazil's PIX payment system.
    Example: "F203262942022211117487a213b1d140"

  - `results.payment_method_information.open_finance.settlement_date` (string)
    The settlement_date field indicates the date on which a scheduled payment (charge) is planned to be settled. This field is relevant in various states of the charge's lifecycle:

  - Scheduled Charges: When a charge has the status SCHEDULED, this field represents the planned settlement date.
  - Completed Charges: When a charge has the status SUCCEEDED, this field reflects the date that the payment was made.
  - Failed or Canceled Charges: When a charge has the status CANCELED or FAILED, this field will still contain the originally calculated settlement date, indicating when the charge was intended to be settled.


> Note: The settlement_date does not change based on the success or failure of the charge. It consistently reflects the original planned settlement date.
    Example: "2024-10-22"

  - `results.payer_information` (object)
    Information about the payer's bank account.

> Note: This object is only returned when the charge status is SUCCEEDED.

  - `results.payer_information.bank_account` (object)
    Information about the payer's bank account.

  - `results.payer_information.bank_account.type` (string)
    The type of the payer's bank account. Can be either CHECKINGS, SAVINGS, or PAYMENTS.
    Example: "CHECKINGS"

  - `results.payer_information.bank_account.agency` (string)
    The agency number of the payer's bank account.
    Example: "1234"

  - `results.payer_information.bank_account.number` (string)
    The account number of the payer's bank account.
    Example: "123456789"

  - `results.payer_information.bank_account.institution_id` (string)
    The Belvo institution ID of the payer's bank account.
    Example: "528228e2-d40d-4cec-948d-ec5edd7d081c"

  - `results.transactions` (array)
    An array of Transaction objects relating to the charge.

  - `results.transactions.id` (string, required)
    Belvo's unique identifier for the current item.
    Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d"

  - `results.transactions.created_at` (string, required)
    The ISO-8601 timestamp of when the data point was created in Belvo's database.
    Example: "2022-02-09T08:45:50.406032Z"

  - `results.transactions.created_by` (string, required)
    The unique ID for the user that created this item.
    Example: "bcef7f35-67f2-4b19-b009-cb38795faf09"

  - `results.transactions.amount` (string, required)
    The transaction amount.


Note: The amount displayed is always positive as we indicate the direction of the transaction in transaction_type parameter.
    Example: "1020.00"

  - `results.transactions.currency` (string, required)
    The currency of the amount paid, for example, BRL (Brazilian Real).
    Enum: same as `results.currency` (1 values)

  - `results.transactions.description` (string, required)
    The description of the payment.
    Example: "Training shoes"

  - `results.transactions.transaction_type` (string, required)
    The direction of the transaction.

  - INFLOW indicates money coming into the account.
  - OUTFLOW indicates money coming out of the account.
    Enum: "INFLOW", "OUTFLOW"

  - `results.transactions.beneficiary` (string, required)
    Belvo's unique ID used to identify the beneficiary's bank account.
    Example: "a80d5a9d-20ae-479a-8dd7-ff3443bcbbfc"

  - `results.transactions.payer` (any, required)
    Note: For OFPI, this will return an empty object {}.

  - `results.transactions.payment_intent` (string)
    The unique ID of the payment intent associated with the transaction.
    Example: "004a28bb-fac2-4172-884b-5b6ea15314ad"

  - `results.transactions.customer` (string)
    Belvo's unique ID for the customer asscociated with this transaction.
    Example: "9eebd63b-3339-44a9-8a5a-72bb6cb2f310"

  - `results.failure_code` (string,null, required)
    Error code that explains the reason behind a payment being unsuccessful (if applicable).

  - `results.failure_message` (string,null, required)
    Further information regarding the failure_code.

  - `results.metadata` (object, required)
    Optional and customizable object where you can provide any additional key-value pairs for your internal purposes. For example, an internal reference number.


⚠️ Note: You can only provide up to 50 keys (keys can have up to 50 characters each and each value can be up to 500 characters). We do not support nested objects, only ASCII values.
    Example: {"internal_reference_id":"GGq73487w2"}

  - `results.provider` (string, required)
    Note: This field has been deprecated and will be removed from the API in the future.

The provider used for the payment link.
    Enum: "belvo"

## Response 403 fields (application/json):

  - `code` (string)
    A unique error code (access_to_resource_denied) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 403 access_to_resource_denied.
    Example: "access_to_resource_denied"

  - `message` (string)
    A short description of the error. 


For access_to_resource_denied errors, the description is:
  
  - You don't have access to this resource..
    Example: "You don't have access to this resource."

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 404 fields (application/json):

  - `code` (string)
    A unique error code (not_found) that allows you to classify and handle the error programmatically.
    Example: "not_found"

  - `message` (string)
    A short description of the error.


For not_found errors, the description is:

  - Not found
    Example: "Not found"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 408 fields (application/json):

  - `code` (string)
    A unique error code (request_timeout) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 408 request_timeout errors.
    Example: "request_timeout"

  - `message` (string)
    A short description of the error. 


For request_timeout errors, the description is:
  
  - The request timed out, you can retry asking for less data by changing your query parameters.
    Example: "The request timed out, you can retry asking for less data by changing your query parameters"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"

## Response 500 fields (application/json):

  - `code` (string)
    A unique error code (unexpected_error) that allows you to classify and handle the error programmatically.


ℹ️ Check our DevPortal for more information on how to handle 500 unexpected_error errors.
    Example: "unexpected_error"

  - `message` (string)
    A short description of the error. 


For unexpected_error errors, the description is:
  
  - Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution.
    Example: "Belvo is unable to process the request due to an internal system issue or to an unsupported response from an institution"

  - `request_id` (string)
    A 32-character unique ID of the request (matching a regex pattern of: [a-f0-9]{32}). Provide this ID when contacting the Belvo support team to accelerate investigations.
    Example: "9e7b283c6efa449c9c028a16b5c249fb"


